''' (c) 2008 by the GunGame Coding Team

    Title: gg_multi_nade
    Version: 1.0.0
    Description: Custom addon.
    '''

# ==============================================================================
#   IMPORTS
# ==============================================================================
# EventScripts imports
import es
import playerlib

# GunGame imports
import gungamelib

# ==============================================================================
#   ADDON REGISTRATION
# ==============================================================================
# Register this addon with EventScripts
info = es.AddonInfo()
info.name     = 'Multiple grenades on hegrenade level for GunGame 5'
info.version  = '1.0.0'
info.url      = 'http://forums.gungame5.com/viewtopic.php?f=17&t=265'
info.basename = 'gungame/custom_addons/gg_multi_nade'
info.author   = 'Sc0pE'

es.ServerVar('gg_multi_nade_ver', info.version).makepublic()

# ==============================================================================
#   GLOBALS
# ==============================================================================
gg_multi_nade_ammount = gungamelib.getVariableValue('gg_multi_nade_ammount')

dict_players = {}

# ==============================================================================
#   GAME EVENTS
# ==============================================================================
def load():
    if gg_multi_nade_ammount < 2:
        es.unload('gg_multi_nade_ammount')
        return
    
    # Register this addon with GunGame
    gg_multi_nade = gungamelib.registerAddon('gg_multi_nade')
    gg_multi_nade.setDisplayName('GG Multi Nade')
    gg_multi_nade.addDependency('gg_unl_grenade', 0)

def unload():
    # Unregister this addon with GunGame
    gungamelib.unregisterAddon('gg_multi_nade')

def hegrenade_detonate(event_var):
    userid = int(event_var['userid'])
    gungamePlayer = gungamelib.getPlayer(userid)
    playerlibPlayer = playerlib.getPlayer(userid)
    
    if event_var['es_userteam'] <= 1:
        return
    if not gungamePlayer.getWeapon() == 'hegrenade':
        return
    if int(playerlibPlayer.get('isdead')):
        return
    
    if not userid in dict_players:
        dict_players[userid] = gg_multi_nade_ammount
    
    dict_players[userid] -= 1
    
    if dict_players[userid] <= 0:
        return
    
    es.server.cmd('es_xgive %s weapon_hegrenade' % userid)

def player_spawn(event_var):
    userid = int(event_var['userid'])
    if userid in dict_players:
        del dict_players[userid]

def round_start(ev):
    dict_players.clear()